Subject: Re: bug#24379: [PATCH] lisp/bindings.el: Bind (yank-pop -1) to M-Y

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 6 Sep 2016 11:42:36 -0400

On 2016-09-06 11:36, Drew Adams wrote:
> Users can always override any key bindings, of course.
> But many users are hesitant to override default bindings,
> for whatever reasons.
>
> …
>
> Yes, and my `M-y' is only turned on in Icicle minor mode (but
> which I am always in).  You can drop that example, if you like,
> and just google for `emacs "M-y"' if you would like to see what
> other users do with `M-y'.

I'm having trouble reconciling these two statements: on the one hand people don't like overriding existing bindings, but on the other hand many people override the existing M-y binding?

> My point was the _general_ one that I stated: (1) Many users
> have their own uses of `M-y' and `C-M-y'.  And (2) adding this
> particular binding is not helpful - it is trivial for anyone
> to add it, if they really want it.

I don't understand. All bindings are trivial to add. That doesn't make any of them less helpful.